百科.dev
全部条目在线工具AI 编程趋势榜开源项目技术资讯提交条目
登录
< 返回工具列表
E

email_validator

> 编程语言
开源

一个用于 Rails 的电子邮件验证器。

656 stars0 点赞3 次浏览
访问官网GitHub

工具介绍

一个用于 Rails 的电子邮件验证器。

EmailValidator

一个用于 Rails 3+ 的电子邮件验证器。支持使用 RFC-3696 进行验证的符合 RFC-2822 和 RFC-5321 标准的电子邮件验证。

我们了解,许多用例需要更高级别的验证。可以通过使用 :strict 验证模式来支持这一点。此外,RFC 兼容的 :rfc 模式会将技术上有效的电子邮件地址视为有效,这可能不是所需的,例如有效的 user 或 user@somehost 地址。在 :rfc 模式下,这些地址是有效的,但在 :loose 或 :strict 模式下则不合法。

您可能希望允许没有 FQDN 的域名,例如 user@somehost。虽然这在技术上是一个有效的地址,但通常不认为这种地址是有效的。我们默认情况下会将其视为有效的,并启用 :loose 检查。通过设置 require_fqdn: true 或启用 :strict 检查来禁止:

Issues· 0 开放

查看全部 Issues在 GitHub 打开

暂无开放 Issues,或尚未同步最近议题。

> 标签

Ruby

暂无评论,来聊聊你的看法吧

> 工具信息

发布日期2026年8月1日
最后更新2026年9月17日
分类编程语言
定价开源

> 相关工具

T
TypeScript
JavaScript 的超集,为前端与全栈提供静态类型
P
Python
通用编程语言,广泛用于 Web、数据与 AI
G
Go
Google 推出的简洁高效系统语言